> ## Documentation Index
> Fetch the complete documentation index at: https://docs.verisoul.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get List



## OpenAPI

````yaml ../list-openapi.json GET /list
openapi: 3.0.1
info:
  title: Verisoul API
  description: The Verisoul API is used to integrate Verisoul into your application.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.sandbox.verisoul.ai
security:
  - apiKeyAuth: []
paths:
  /list:
    get:
      description: Returns all available lists
      responses:
        '200':
          description: Lists response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListsResponse'
              example:
                request_id: abb42d71-f4d4-440f-b1c7-a250ec0eddd7
                lists:
                  - name: allow
                    description: Marks every account in the list as Real.
                  - name: block
                    description: Marks every account in the list as Fake.
                  - name: main_account
                    description: >-
                      Sets the multiple_accounts score to 0 for every account in
                      the list.
                  - name: us_users
                    description: List of US based users
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    ListsResponse:
      type: object
      properties:
        request_id:
          type: string
          description: The ID of the request
        lists:
          type: array
          items:
            $ref: '#/components/schemas/List'
          description: Array of available lists
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
    List:
      type: object
      properties:
        name:
          type: string
          description: The name of the list
        description:
          type: string
          description: Description of the list's purpose
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````